Skip to main content

modifyUserAgreement

The modifyUserAgreement API is used to change the term of service version and the privacy policy version for an LI PASS.

Request Parameter​

ParameterTypeDescriptionRemark
tokenstringLI PASS user authorization tokenRequired
openidstringLI PASS UIDRequired
privacy_policystringPrivacy policy version
The version can only be upgraded, you cannot set it to an earlier version.
Required
terms_of_servicestringTerm of service version
The version can only be upgraded, you cannot set it to an earlier version.
Required

Request Sample​

accountApi.modifyUserAgreement(
{
token: 'xxx',
openid: 'xxx',
privacy_policy: '0.1',
terms_of_service: '0.1',
}
).then((res) => {
console.log(res);
});

Response Parameter​

ParameterTypeDescription
retnumberReturn code
0: Request success
!=0: Request failure, see msg for detailed return message
msgstringReturn message
privacy_policystringPrivacy policy version
terms_of_servicestringTerm of service version
seqstringSequence number of the message in the data stream

Response Sample​

{
msg: "Success",
privacy_policy: "0.1",
ret: 0,
seq: "1638240816-0180225310-032531-0000367889",
terms_of_service: "0.1",
}